%define kernelver 2.4.0
%define	name	cipe
%define	version	1.4.5
%define	release	19mdk

Summary:	Kernel Module and Daemon for VPN
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	http://sites.inka.de/sites/bigred/sw/cipe-%{version}.tar.gz
Source1:	ifup-cipcb
Source2:	ifdown-cipcb
Source3:	findroute.c
Source4:	cipe-example-options.bz2
Source5:	cipe-example-ifcfg.bz2
Patch0:		cipe-1.3.0.patch.bz2
Patch1:		cipe-1.4.5-userlandonly.patch.bz2
Patch2:		cipe-1.4.5-time.patch.bz2
Patch3:		cipe-1.4.6-dir.patch.bz2
Patch4:		cipe-1.4.5-64bit.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://sites.inka.de/~W1011/devel/cipe.html
License:	GPL

%description
CIPE (the name is shortened from Crypto IP Encapsulation) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications.

%prep
%setup -q
%patch0 -p0
%patch1 -p0 -b .userland
%patch2 -p1 -b .time
%patch3 -p1
%patch4 -p0
bzcat %{SOURCE4} > samples/redhat-options.cipcb0
bzcat %{SOURCE5} > samples/redhat-ifcfg-cipcb0
%build
autoconf-2.13 -l conf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall \
	INFODIR=$RPM_BUILD_ROOT%{_infodir} \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	RPM_BUILD_ROOT=$RPM_BUILD_ROOT

install -m755 samples/ip-up -D $RPM_BUILD_ROOT%{_sysconfdir}/cipe/ip-up
install -m755 samples/ip-down -D $RPM_BUILD_ROOT%{_sysconfdir}/cipe/ip-down
install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts/ifup-cipcb
install -m755 %{SOURCE2} -D $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts/ifdown-cipcb

#install -m 755 findroute $RPM_BUILD_ROOT/sbin/findroute

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README README.key-bug samples
%{_infodir}/cipe*
%{_sbindir}/ciped-cb
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifup-cipcb
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifdown-cipcb
%config(noreplace) %{_sysconfdir}/cipe

%changelog
* Tue Dec 23 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.4.5-19mdk
- first mdk release

* Wed Sep  3 2003 Bill Nottingham <notting@redhat.com> 1.4.5-18
- disable hotplug around calling ciped (#98611)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sun Feb 23 2003 Bill Nottingham <notting@redhat.com> 1.4.5-15
- fix ifup-cipcb to handle profiles/nicknames better

* Mon Feb  3 2003 Nalin Dahyabhai <nalin@redhat.com> 1.4.5-14
- rework buildprereq on kernel-source, as we don't build the kernel pieces here

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Jan 11 2003 Karsten Hopp <karsten@redhat.de> 1.4.5-13
- clean buildroot before installing

* Sat Jan 11 2003 Karsten Hopp <karsten@redhat.de> 1.4.5-12
- package hasn't been rebuilt after the last patch

* Tue Dec 03 2002 Elliot Lee <sopwith@redhat.com> 1.4.5-12
- Remove unpackaged findroute file (looks like the change was already in 
  here)

* Tue Nov 19 2002 Nalin Dahyabhai <nalin@redhat.com> 1.4.5-11
- rebuild

* Tue Nov 12 2002 Tim Powers <timp@redhat.com>
- remove findroute from $$RPM_BUILD_ROOT

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 28 2002 Nalin Dahyabhai <nalin@redhat.com> 1.4.5-10
- rebuild in new environment

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 1.4.5-9
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan 04 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- compile with: --with-linux=/usr/src/linux-2.4
- add BuildPreReq: kernel-source
- make a new patch changing configure.in and configure and don't call autoconf

* Wed May 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add a 64 bit patch

* Thu Mar  1 2001 Matt Wilson <msw@redhat.com>
- updated cipe-example-ifcfg (redhat-ifcfg-cipcb0) to reflect the needed
  PEER info and that MYPORT doesn't set both endpoints.

* Fri Feb 23 2001 Matt Wilson <msw@redhat.com>
- added a triggerun on cipe < 1.4.5 to remove old init scripts (#28668)

* Wed Feb 21 2001 Nalin Dahyabhai <nalin@redhat.com>
- install and uninstall the info docs at install and uninstall time (#28425)

* Wed Feb 14 2001 Matt Wilson <msw@redhat.com>
- make version.h explicitly, fix time.h include

* Thu Jan 18 2001 Matt Wilson <msw@redhat.com>
- patched so we don't need kernel headers to build this userland bit

* Thu Dec 14 2000 Matt Wilson <msw@redhat.com>
- decided that the findroute stuff wasn't really needed anyway.

* Fri Oct  6 2000 Matt Wilson <msw@redhat.com>
- nuked braindamaged initscript for cipe
- added interface starter/stopper that integrates with Red Hat's
  networking setup
- wrote a quick program to walk a box's routing table to find the
  interface you can talk to the peer on if you don't bind me to an ip
- you can now place config options in /etc/cipe/options.cipcb0 for the
  key, etc (where cipcb0 goes to N devices)
- you can set ME, MYPORT, PEER, IPADDR, PTPADDR in
  /etc/sysconfig/network-scripts/ifcfg-cipcb0 - you could also put
  them in the options file instead.
- if you leave ME out of the options file and ifcfg file, the
  interface that will be used to get to the peer is automatically
  passed as 'me'
- now control starting and stopping cipe devices with "ifup cipcb0"
  and "ifdown cipcb0", including the ability to make it a user
  controlled interface
- if you need other interfaces to come up before the cipe interface,
  use "ONBOOT=no" in ifcfg-cipcb0 and make the ifup-local script start
  the cipe interface when the interface you need to get to the peer is
  started

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- mark it as a snapshot because 1.4 is actually out now

* Thu Aug 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- change version number to 1.4 (it's a 1.4 snapshot) (#15943)
- fix erroneous comments in /etc/sysconfig/cipe (#16148)
- configure with --with-linux=/lib/modules/`uname -r`/build if it exists
- add URL: tag
- change Copyright: to License:

* Wed Aug  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix init script

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- add IPADDR and PTPADDR options to the sysconfig file (#14956)

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- make configurations noreplace
- supply a default /etc/sysconfig/cipe file (#14467)
- tweak the init script some more (#14468)

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Matt Wilson <msw@redhat.com>
- move group from Applications/Networking to System Environment/Daemons

* Mon Jul 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- obvious bandaid1: add the sysconfig file it tries to source
- obvious bandaid2: remove the "su to specific user and run his
  specific program on another computer"-part of the initscript
- Prereq: /etc/init.d

* Sun Jul  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- first version of a rpm based on an RH-internal rpm
- TODO: /etc/init.d/ciped must be fixed
